Imported Upstream version 0.1.16
[platform/upstream/libnice.git] / random / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Makefile.am for the Nice Glib ICE library
19 #
20 # (C) 2006, 2007 Collabora Ltd.
21 # (C) 2006, 2007 Nokia Corporation. All rights reserved.
22 #
23 # Licensed under MPL 1.1/LGPL 2.1. See file COPYING.
24
25 VPATH = @srcdir@
26 am__is_gnu_make = { \
27   if test -z '$(MAKELEVEL)'; then \
28     false; \
29   elif test -n '$(MAKE_HOST)'; then \
30     true; \
31   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
32     true; \
33   else \
34     false; \
35   fi; \
36 }
37 am__make_running_with_option = \
38   case $${target_option-} in \
39       ?) ;; \
40       *) echo "am__make_running_with_option: internal error: invalid" \
41               "target option '$${target_option-}' specified" >&2; \
42          exit 1;; \
43   esac; \
44   has_opt=no; \
45   sane_makeflags=$$MAKEFLAGS; \
46   if $(am__is_gnu_make); then \
47     sane_makeflags=$$MFLAGS; \
48   else \
49     case $$MAKEFLAGS in \
50       *\\[\ \   ]*) \
51         bs=\\; \
52         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
53           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
54     esac; \
55   fi; \
56   skip_next=no; \
57   strip_trailopt () \
58   { \
59     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
60   }; \
61   for flg in $$sane_makeflags; do \
62     test $$skip_next = yes && { skip_next=no; continue; }; \
63     case $$flg in \
64       *=*|--*) continue;; \
65         -*I) strip_trailopt 'I'; skip_next=yes;; \
66       -*I?*) strip_trailopt 'I';; \
67         -*O) strip_trailopt 'O'; skip_next=yes;; \
68       -*O?*) strip_trailopt 'O';; \
69         -*l) strip_trailopt 'l'; skip_next=yes;; \
70       -*l?*) strip_trailopt 'l';; \
71       -[dEDm]) skip_next=yes;; \
72       -[JT]) skip_next=yes;; \
73     esac; \
74     case $$flg in \
75       *$$target_option*) has_opt=yes; break;; \
76     esac; \
77   done; \
78   test $$has_opt = yes
79 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
80 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
81 pkgdatadir = $(datadir)/@PACKAGE@
82 pkglibdir = $(libdir)/@PACKAGE@
83 pkglibexecdir = $(libexecdir)/@PACKAGE@
84 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85 install_sh_DATA = $(install_sh) -c -m 644
86 install_sh_PROGRAM = $(install_sh) -c
87 install_sh_SCRIPT = $(install_sh) -c
88 INSTALL_HEADER = $(INSTALL_DATA)
89 transform = $(program_transform_name)
90 NORMAL_INSTALL = :
91 PRE_INSTALL = :
92 POST_INSTALL = :
93 NORMAL_UNINSTALL = :
94 PRE_UNINSTALL = :
95 POST_UNINSTALL = :
96 build_triplet = @build@
97 host_triplet = @host@
98 target_triplet = @target@
99 check_PROGRAMS = test$(EXEEXT)
100 subdir = random
101 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102 am__aclocal_m4_deps = $(top_srcdir)/m4/as-compiler-flag.m4 \
103         $(top_srcdir)/m4/ax_check_openssl.m4 \
104         $(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/introspection.m4 \
105         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
106         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
107         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
108 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
109         $(ACLOCAL_M4)
110 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
111 mkinstalldirs = $(install_sh) -d
112 CONFIG_HEADER = $(top_builddir)/config.h
113 CONFIG_CLEAN_FILES =
114 CONFIG_CLEAN_VPATH_FILES =
115 LTLIBRARIES = $(noinst_LTLIBRARIES)
116 libnice_random_la_LIBADD =
117 am_libnice_random_la_OBJECTS = random.lo random-glib.lo
118 libnice_random_la_OBJECTS = $(am_libnice_random_la_OBJECTS)
119 AM_V_lt = $(am__v_lt_@AM_V@)
120 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
121 am__v_lt_0 = --silent
122 am__v_lt_1 = 
123 test_SOURCES = test.c
124 test_OBJECTS = test.$(OBJEXT)
125 am__DEPENDENCIES_1 =
126 test_DEPENDENCIES = libnice-random.la $(am__DEPENDENCIES_1)
127 AM_V_P = $(am__v_P_@AM_V@)
128 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
129 am__v_P_0 = false
130 am__v_P_1 = :
131 AM_V_GEN = $(am__v_GEN_@AM_V@)
132 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
133 am__v_GEN_0 = @echo "  GEN     " $@;
134 am__v_GEN_1 = 
135 AM_V_at = $(am__v_at_@AM_V@)
136 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
137 am__v_at_0 = @
138 am__v_at_1 = 
139 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
140 depcomp = $(SHELL) $(top_srcdir)/depcomp
141 am__maybe_remake_depfiles = depfiles
142 am__depfiles_remade = ./$(DEPDIR)/random-glib.Plo \
143         ./$(DEPDIR)/random.Plo ./$(DEPDIR)/test.Po
144 am__mv = mv -f
145 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
146         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
147 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
148         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
149         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
150         $(AM_CFLAGS) $(CFLAGS)
151 AM_V_CC = $(am__v_CC_@AM_V@)
152 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
153 am__v_CC_0 = @echo "  CC      " $@;
154 am__v_CC_1 = 
155 CCLD = $(CC)
156 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
157         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
158         $(AM_LDFLAGS) $(LDFLAGS) -o $@
159 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
160 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
161 am__v_CCLD_0 = @echo "  CCLD    " $@;
162 am__v_CCLD_1 = 
163 SOURCES = $(libnice_random_la_SOURCES) test.c
164 DIST_SOURCES = $(libnice_random_la_SOURCES) test.c
165 am__can_run_installinfo = \
166   case $$AM_UPDATE_INFO_DIR in \
167     n|no|NO) false;; \
168     *) (install-info --version) >/dev/null 2>&1;; \
169   esac
170 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
171 # Read a list of newline-separated strings from the standard input,
172 # and print each of them once, without duplicates.  Input order is
173 # *not* preserved.
174 am__uniquify_input = $(AWK) '\
175   BEGIN { nonempty = 0; } \
176   { items[$$0] = 1; nonempty = 1; } \
177   END { if (nonempty) { for (i in items) print i; }; } \
178 '
179 # Make sure the list of sources is unique.  This is necessary because,
180 # e.g., the same source file might be shared among _SOURCES variables
181 # for different programs/libraries.
182 am__define_uniq_tagged_files = \
183   list='$(am__tagged_files)'; \
184   unique=`for i in $$list; do \
185     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
186   done | $(am__uniquify_input)`
187 ETAGS = etags
188 CTAGS = ctags
189 am__tty_colors_dummy = \
190   mgn= red= grn= lgn= blu= brg= std=; \
191   am__color_tests=no
192 am__tty_colors = { \
193   $(am__tty_colors_dummy); \
194   if test "X$(AM_COLOR_TESTS)" = Xno; then \
195     am__color_tests=no; \
196   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
197     am__color_tests=yes; \
198   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
199     am__color_tests=yes; \
200   fi; \
201   if test $$am__color_tests = yes; then \
202     red='\e[0;31m'; \
203     grn='\e[0;32m'; \
204     lgn='\e[1;32m'; \
205     blu='\e[1;34m'; \
206     mgn='\e[0;35m'; \
207     brg='\e[1m'; \
208     std='\e[m'; \
209   fi; \
210 }
211 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
212 am__vpath_adj = case $$p in \
213     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
214     *) f=$$p;; \
215   esac;
216 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
217 am__install_max = 40
218 am__nobase_strip_setup = \
219   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
220 am__nobase_strip = \
221   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
222 am__nobase_list = $(am__nobase_strip_setup); \
223   for p in $$list; do echo "$$p $$p"; done | \
224   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
225   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
226     if (++n[$$2] == $(am__install_max)) \
227       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
228     END { for (dir in files) print dir, files[dir] }'
229 am__base_list = \
230   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
231   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
232 am__uninstall_files_from_dir = { \
233   test -z "$$files" \
234     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
235     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
236          $(am__cd) "$$dir" && rm -f $$files; }; \
237   }
238 am__recheck_rx = ^[     ]*:recheck:[    ]*
239 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
240 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
241 # A command that, given a newline-separated list of test names on the
242 # standard input, print the name of the tests that are to be re-run
243 # upon "make recheck".
244 am__list_recheck_tests = $(AWK) '{ \
245   recheck = 1; \
246   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
247     { \
248       if (rc < 0) \
249         { \
250           if ((getline line2 < ($$0 ".log")) < 0) \
251             recheck = 0; \
252           break; \
253         } \
254       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
255         { \
256           recheck = 0; \
257           break; \
258         } \
259       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
260         { \
261           break; \
262         } \
263     }; \
264   if (recheck) \
265     print $$0; \
266   close ($$0 ".trs"); \
267   close ($$0 ".log"); \
268 }'
269 # A command that, given a newline-separated list of test names on the
270 # standard input, create the global log from their .trs and .log files.
271 am__create_global_log = $(AWK) ' \
272 function fatal(msg) \
273 { \
274   print "fatal: making $@: " msg | "cat >&2"; \
275   exit 1; \
276 } \
277 function rst_section(header) \
278 { \
279   print header; \
280   len = length(header); \
281   for (i = 1; i <= len; i = i + 1) \
282     printf "="; \
283   printf "\n\n"; \
284 } \
285 { \
286   copy_in_global_log = 1; \
287   global_test_result = "RUN"; \
288   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
289     { \
290       if (rc < 0) \
291          fatal("failed to read from " $$0 ".trs"); \
292       if (line ~ /$(am__global_test_result_rx)/) \
293         { \
294           sub("$(am__global_test_result_rx)", "", line); \
295           sub("[        ]*$$", "", line); \
296           global_test_result = line; \
297         } \
298       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
299         copy_in_global_log = 0; \
300     }; \
301   if (copy_in_global_log) \
302     { \
303       rst_section(global_test_result ": " $$0); \
304       while ((rc = (getline line < ($$0 ".log"))) != 0) \
305       { \
306         if (rc < 0) \
307           fatal("failed to read from " $$0 ".log"); \
308         print line; \
309       }; \
310       printf "\n"; \
311     }; \
312   close ($$0 ".trs"); \
313   close ($$0 ".log"); \
314 }'
315 # Restructured Text title.
316 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
317 # Solaris 10 'make', and several other traditional 'make' implementations,
318 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
319 # by disabling -e (using the XSI extension "set +e") if it's set.
320 am__sh_e_setup = case $$- in *e*) set +e;; esac
321 # Default flags passed to test drivers.
322 am__common_driver_flags = \
323   --color-tests "$$am__color_tests" \
324   --enable-hard-errors "$$am__enable_hard_errors" \
325   --expect-failure "$$am__expect_failure"
326 # To be inserted before the command running the test.  Creates the
327 # directory for the log if needed.  Stores in $dir the directory
328 # containing $f, in $tst the test, in $log the log.  Executes the
329 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
330 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
331 # will run the test scripts (or their associated LOG_COMPILER, if
332 # thy have one).
333 am__check_pre = \
334 $(am__sh_e_setup);                                      \
335 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
336 $(am__tty_colors);                                      \
337 srcdir=$(srcdir); export srcdir;                        \
338 case "$@" in                                            \
339   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
340     *) am__odir=.;;                                     \
341 esac;                                                   \
342 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
343   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
344 if test -f "./$$f"; then dir=./;                        \
345 elif test -f "$$f"; then dir=;                          \
346 else dir="$(srcdir)/"; fi;                              \
347 tst=$$dir$$f; log='$@';                                 \
348 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
349   am__enable_hard_errors=no;                            \
350 else                                                    \
351   am__enable_hard_errors=yes;                           \
352 fi;                                                     \
353 case " $(XFAIL_TESTS) " in                              \
354   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
355     am__expect_failure=yes;;                            \
356   *)                                                    \
357     am__expect_failure=no;;                             \
358 esac;                                                   \
359 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
360 # A shell command to get the names of the tests scripts with any registered
361 # extension removed (i.e., equivalently, the names of the test logs, with
362 # the '.log' extension removed).  The result is saved in the shell variable
363 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
364 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
365 # since that might cause problem with VPATH rewrites for suffix-less tests.
366 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
367 am__set_TESTS_bases = \
368   bases='$(TEST_LOGS)'; \
369   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
370   bases=`echo $$bases`
371 RECHECK_LOGS = $(TEST_LOGS)
372 AM_RECURSIVE_TARGETS = check recheck
373 TEST_SUITE_LOG = test-suite.log
374 TEST_EXTENSIONS = @EXEEXT@ .test
375 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
376 am__set_b = \
377   case '$@' in \
378     */*) \
379       case '$*' in \
380         */*) b='$*';; \
381           *) b=`echo '$@' | sed 's/\.log$$//'`; \
382        esac;; \
383     *) \
384       b='$*';; \
385   esac
386 am__test_logs1 = $(TESTS:=.log)
387 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
388 TEST_LOGS = $(am__test_logs2:.test.log=.log)
389 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
390 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
391         $(TEST_LOG_FLAGS)
392 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/common.mk \
393         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
394 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
395 pkgincludedir = $(includedir)/nice
396 ACLOCAL = @ACLOCAL@
397 AMTAR = @AMTAR@
398 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
399 AR = @AR@
400 AS = @AS@
401 AUTOCONF = @AUTOCONF@
402 AUTOHEADER = @AUTOHEADER@
403 AUTOMAKE = @AUTOMAKE@
404 AWK = @AWK@
405 CC = @CC@
406 CCACHE_DISABLE = @CCACHE_DISABLE@
407 CCDEPMODE = @CCDEPMODE@
408 CFLAGS = @CFLAGS@
409 CPP = @CPP@
410 CPPFLAGS = @CPPFLAGS@
411 CYGPATH_W = @CYGPATH_W@
412 DEFS = @DEFS@
413 DEPDIR = @DEPDIR@
414 DLLTOOL = @DLLTOOL@
415 DSYMUTIL = @DSYMUTIL@
416 DUMPBIN = @DUMPBIN@
417 ECHO_C = @ECHO_C@
418 ECHO_N = @ECHO_N@
419 ECHO_T = @ECHO_T@
420 EGREP = @EGREP@
421 EXEEXT = @EXEEXT@
422 FGREP = @FGREP@
423 GLIB_CFLAGS = @GLIB_CFLAGS@
424 GLIB_LIBS = @GLIB_LIBS@
425 GLIB_MKENUMS = @GLIB_MKENUMS@
426 GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
427 GNUTLS_LIBS = @GNUTLS_LIBS@
428 GREP = @GREP@
429 GST010_CFLAGS = @GST010_CFLAGS@
430 GST010_LIBS = @GST010_LIBS@
431 GST_CFLAGS = @GST_CFLAGS@
432 GST_CHECK_CFLAGS = @GST_CHECK_CFLAGS@
433 GST_CHECK_LIBS = @GST_CHECK_LIBS@
434 GST_LIBS = @GST_LIBS@
435 GTKDOC_CHECK = @GTKDOC_CHECK@
436 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
437 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
438 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
439 GTKDOC_MKPDF = @GTKDOC_MKPDF@
440 GTKDOC_REBASE = @GTKDOC_REBASE@
441 GUPNP_CFLAGS = @GUPNP_CFLAGS@
442 GUPNP_LIBS = @GUPNP_LIBS@
443 GUPNP_PACKAGES = @GUPNP_PACKAGES@
444 GUPNP_PACKAGES_PRIVATE = @GUPNP_PACKAGES_PRIVATE@
445 GUPNP_PACKAGES_PUBLIC = @GUPNP_PACKAGES_PUBLIC@
446 HAVE_GUPNP = @HAVE_GUPNP@
447 HTML_DIR = @HTML_DIR@
448 INSTALL = @INSTALL@
449 INSTALL_DATA = @INSTALL_DATA@
450 INSTALL_PROGRAM = @INSTALL_PROGRAM@
451 INSTALL_SCRIPT = @INSTALL_SCRIPT@
452 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
453 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
454 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
455 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
456 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
457 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
458 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
459 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
460 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
461 LD = @LD@
462 LDFLAGS = @LDFLAGS@
463 LIBNICE_CFLAGS = @LIBNICE_CFLAGS@
464 LIBNICE_LT_LDFLAGS = @LIBNICE_LT_LDFLAGS@
465 LIBOBJS = @LIBOBJS@
466 LIBRT = @LIBRT@
467 LIBS = @LIBS@
468 LIBTOOL = @LIBTOOL@
469 LIPO = @LIPO@
470 LN_S = @LN_S@
471 LTLIBOBJS = @LTLIBOBJS@
472 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
473 MAKEINFO = @MAKEINFO@
474 MANIFEST_TOOL = @MANIFEST_TOOL@
475 MKDIR_P = @MKDIR_P@
476 NICE_PACKAGES_PRIVATE = @NICE_PACKAGES_PRIVATE@
477 NICE_PACKAGES_PUBLIC = @NICE_PACKAGES_PUBLIC@
478 NM = @NM@
479 NMEDIT = @NMEDIT@
480 OBJDUMP = @OBJDUMP@
481 OBJEXT = @OBJEXT@
482 OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
483 OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
484 OPENSSL_LIBS = @OPENSSL_LIBS@
485 OTOOL = @OTOOL@
486 OTOOL64 = @OTOOL64@
487 PACKAGE = @PACKAGE@
488 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
489 PACKAGE_NAME = @PACKAGE_NAME@
490 PACKAGE_STRING = @PACKAGE_STRING@
491 PACKAGE_TARNAME = @PACKAGE_TARNAME@
492 PACKAGE_URL = @PACKAGE_URL@
493 PACKAGE_VERSION = @PACKAGE_VERSION@
494 PATH_SEPARATOR = @PATH_SEPARATOR@
495 PKG_CONFIG = @PKG_CONFIG@
496 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
497 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
498 RANLIB = @RANLIB@
499 SED = @SED@
500 SET_MAKE = @SET_MAKE@
501 SHELL = @SHELL@
502 STRIP = @STRIP@
503 UPNP_ENABLED = @UPNP_ENABLED@
504 VERSION = @VERSION@
505 abs_builddir = @abs_builddir@
506 abs_srcdir = @abs_srcdir@
507 abs_top_builddir = @abs_top_builddir@
508 abs_top_srcdir = @abs_top_srcdir@
509 ac_ct_AR = @ac_ct_AR@
510 ac_ct_CC = @ac_ct_CC@
511 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
512 am__include = @am__include@
513 am__leading_dot = @am__leading_dot@
514 am__quote = @am__quote@
515 am__tar = @am__tar@
516 am__untar = @am__untar@
517 bindir = @bindir@
518 build = @build@
519 build_alias = @build_alias@
520 build_cpu = @build_cpu@
521 build_os = @build_os@
522 build_vendor = @build_vendor@
523 builddir = @builddir@
524 datadir = @datadir@
525 datarootdir = @datarootdir@
526 docdir = @docdir@
527 dvidir = @dvidir@
528 exec_prefix = @exec_prefix@
529 gstplugin010dir = @gstplugin010dir@
530 gstplugindir = @gstplugindir@
531 host = @host@
532 host_alias = @host_alias@
533 host_cpu = @host_cpu@
534 host_os = @host_os@
535 host_vendor = @host_vendor@
536 htmldir = @htmldir@
537 includedir = @includedir@
538 infodir = @infodir@
539 install_sh = @install_sh@
540 libdir = @libdir@
541 libexecdir = @libexecdir@
542 localedir = @localedir@
543 localstatedir = @localstatedir@
544 mandir = @mandir@
545 mkdir_p = @mkdir_p@
546 oldincludedir = @oldincludedir@
547 pdfdir = @pdfdir@
548 prefix = @prefix@
549 program_transform_name = @program_transform_name@
550 psdir = @psdir@
551 sbindir = @sbindir@
552 sharedstatedir = @sharedstatedir@
553 srcdir = @srcdir@
554 sysconfdir = @sysconfdir@
555 target = @target@
556 target_alias = @target_alias@
557 target_cpu = @target_cpu@
558 target_os = @target_os@
559 target_vendor = @target_vendor@
560 top_build_prefix = @top_build_prefix@
561 top_builddir = @top_builddir@
562 top_srcdir = @top_srcdir@
563 CLEANFILES = *.gcno *.gcda
564 LOG_DRIVER = $(top_srcdir)/scripts/valgrind-test-driver
565 AM_CFLAGS = $(LIBNICE_CFLAGS) $(GLIB_CFLAGS)
566 noinst_LTLIBRARIES = libnice-random.la
567 libnice_random_la_SOURCES = \
568         random.h \
569         random.c \
570         random-glib.h \
571         random-glib.c
572
573 test_LDADD = libnice-random.la $(GLIB_LIBS)
574 TESTS = $(check_PROGRAMS)
575 EXTRA_DIST = meson.build
576 all: all-am
577
578 .SUFFIXES:
579 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
580 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
581         @for dep in $?; do \
582           case '$(am__configure_deps)' in \
583             *$$dep*) \
584               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
585                 && { if test -f $@; then exit 0; else break; fi; }; \
586               exit 1;; \
587           esac; \
588         done; \
589         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu random/Makefile'; \
590         $(am__cd) $(top_srcdir) && \
591           $(AUTOMAKE) --gnu random/Makefile
592 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
593         @case '$?' in \
594           *config.status*) \
595             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
596           *) \
597             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
598             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
599         esac;
600 $(top_srcdir)/common.mk $(am__empty):
601
602 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
603         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
604
605 $(top_srcdir)/configure:  $(am__configure_deps)
606         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
607 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
608         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
609 $(am__aclocal_m4_deps):
610
611 clean-checkPROGRAMS:
612         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
613         echo " rm -f" $$list; \
614         rm -f $$list || exit $$?; \
615         test -n "$(EXEEXT)" || exit 0; \
616         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
617         echo " rm -f" $$list; \
618         rm -f $$list
619
620 clean-noinstLTLIBRARIES:
621         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
622         @list='$(noinst_LTLIBRARIES)'; \
623         locs=`for p in $$list; do echo $$p; done | \
624               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
625               sort -u`; \
626         test -z "$$locs" || { \
627           echo rm -f $${locs}; \
628           rm -f $${locs}; \
629         }
630
631 libnice-random.la: $(libnice_random_la_OBJECTS) $(libnice_random_la_DEPENDENCIES) $(EXTRA_libnice_random_la_DEPENDENCIES) 
632         $(AM_V_CCLD)$(LINK)  $(libnice_random_la_OBJECTS) $(libnice_random_la_LIBADD) $(LIBS)
633
634 test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES) 
635         @rm -f test$(EXEEXT)
636         $(AM_V_CCLD)$(LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS)
637
638 mostlyclean-compile:
639         -rm -f *.$(OBJEXT)
640
641 distclean-compile:
642         -rm -f *.tab.c
643
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random-glib.Plo@am__quote@ # am--include-marker
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random.Plo@am__quote@ # am--include-marker
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test.Po@am__quote@ # am--include-marker
647
648 $(am__depfiles_remade):
649         @$(MKDIR_P) $(@D)
650         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
651
652 am--depfiles: $(am__depfiles_remade)
653
654 .c.o:
655 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
656 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
657 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
661
662 .c.obj:
663 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
664 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
665 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
669
670 .c.lo:
671 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
672 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
673 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
677
678 mostlyclean-libtool:
679         -rm -f *.lo
680
681 clean-libtool:
682         -rm -rf .libs _libs
683
684 ID: $(am__tagged_files)
685         $(am__define_uniq_tagged_files); mkid -fID $$unique
686 tags: tags-am
687 TAGS: tags
688
689 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
690         set x; \
691         here=`pwd`; \
692         $(am__define_uniq_tagged_files); \
693         shift; \
694         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
695           test -n "$$unique" || unique=$$empty_fix; \
696           if test $$# -gt 0; then \
697             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
698               "$$@" $$unique; \
699           else \
700             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
701               $$unique; \
702           fi; \
703         fi
704 ctags: ctags-am
705
706 CTAGS: ctags
707 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
708         $(am__define_uniq_tagged_files); \
709         test -z "$(CTAGS_ARGS)$$unique" \
710           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
711              $$unique
712
713 GTAGS:
714         here=`$(am__cd) $(top_builddir) && pwd` \
715           && $(am__cd) $(top_srcdir) \
716           && gtags -i $(GTAGS_ARGS) "$$here"
717 cscopelist: cscopelist-am
718
719 cscopelist-am: $(am__tagged_files)
720         list='$(am__tagged_files)'; \
721         case "$(srcdir)" in \
722           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
723           *) sdir=$(subdir)/$(srcdir) ;; \
724         esac; \
725         for i in $$list; do \
726           if test -f "$$i"; then \
727             echo "$(subdir)/$$i"; \
728           else \
729             echo "$$sdir/$$i"; \
730           fi; \
731         done >> $(top_builddir)/cscope.files
732
733 distclean-tags:
734         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
735
736 # Recover from deleted '.trs' file; this should ensure that
737 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
738 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
739 # to avoid problems with "make -n".
740 .log.trs:
741         rm -f $< $@
742         $(MAKE) $(AM_MAKEFLAGS) $<
743
744 # Leading 'am--fnord' is there to ensure the list of targets does not
745 # expand to empty, as could happen e.g. with make check TESTS=''.
746 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
747 am--force-recheck:
748         @:
749
750 $(TEST_SUITE_LOG): $(TEST_LOGS)
751         @$(am__set_TESTS_bases); \
752         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
753         redo_bases=`for i in $$bases; do \
754                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
755                     done`; \
756         if test -n "$$redo_bases"; then \
757           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
758           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
759           if $(am__make_dryrun); then :; else \
760             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
761           fi; \
762         fi; \
763         if test -n "$$am__remaking_logs"; then \
764           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
765                "recursion detected" >&2; \
766         elif test -n "$$redo_logs"; then \
767           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
768         fi; \
769         if $(am__make_dryrun); then :; else \
770           st=0;  \
771           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
772           for i in $$redo_bases; do \
773             test -f $$i.trs && test -r $$i.trs \
774               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
775             test -f $$i.log && test -r $$i.log \
776               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
777           done; \
778           test $$st -eq 0 || exit 1; \
779         fi
780         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
781         ws='[   ]'; \
782         results=`for b in $$bases; do echo $$b.trs; done`; \
783         test -n "$$results" || results=/dev/null; \
784         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
785         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
786         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
787         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
788         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
789         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
790         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
791         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
792           success=true; \
793         else \
794           success=false; \
795         fi; \
796         br='==================='; br=$$br$$br$$br$$br; \
797         result_count () \
798         { \
799             if test x"$$1" = x"--maybe-color"; then \
800               maybe_colorize=yes; \
801             elif test x"$$1" = x"--no-color"; then \
802               maybe_colorize=no; \
803             else \
804               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
805             fi; \
806             shift; \
807             desc=$$1 count=$$2; \
808             if test $$maybe_colorize = yes && test $$count -gt 0; then \
809               color_start=$$3 color_end=$$std; \
810             else \
811               color_start= color_end=; \
812             fi; \
813             echo "$${color_start}# $$desc $$count$${color_end}"; \
814         }; \
815         create_testsuite_report () \
816         { \
817           result_count $$1 "TOTAL:" $$all   "$$brg"; \
818           result_count $$1 "PASS: " $$pass  "$$grn"; \
819           result_count $$1 "SKIP: " $$skip  "$$blu"; \
820           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
821           result_count $$1 "FAIL: " $$fail  "$$red"; \
822           result_count $$1 "XPASS:" $$xpass "$$red"; \
823           result_count $$1 "ERROR:" $$error "$$mgn"; \
824         }; \
825         {                                                               \
826           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
827             $(am__rst_title);                                           \
828           create_testsuite_report --no-color;                           \
829           echo;                                                         \
830           echo ".. contents:: :depth: 2";                               \
831           echo;                                                         \
832           for b in $$bases; do echo $$b; done                           \
833             | $(am__create_global_log);                                 \
834         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
835         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
836         if $$success; then                                              \
837           col="$$grn";                                                  \
838          else                                                           \
839           col="$$red";                                                  \
840           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
841         fi;                                                             \
842         echo "$${col}$$br$${std}";                                      \
843         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
844         echo "$${col}$$br$${std}";                                      \
845         create_testsuite_report --maybe-color;                          \
846         echo "$$col$$br$$std";                                          \
847         if $$success; then :; else                                      \
848           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
849           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
850             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
851           fi;                                                           \
852           echo "$$col$$br$$std";                                        \
853         fi;                                                             \
854         $$success || exit 1
855
856 check-TESTS: $(check_PROGRAMS)
857         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
858         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
859         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
860         @set +e; $(am__set_TESTS_bases); \
861         log_list=`for i in $$bases; do echo $$i.log; done`; \
862         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
863         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
864         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
865         exit $$?;
866 recheck: all $(check_PROGRAMS)
867         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
868         @set +e; $(am__set_TESTS_bases); \
869         bases=`for i in $$bases; do echo $$i; done \
870                  | $(am__list_recheck_tests)` || exit 1; \
871         log_list=`for i in $$bases; do echo $$i.log; done`; \
872         log_list=`echo $$log_list`; \
873         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
874                 am__force_recheck=am--force-recheck \
875                 TEST_LOGS="$$log_list"; \
876         exit $$?
877 test.log: test$(EXEEXT)
878         @p='test$(EXEEXT)'; \
879         b='test'; \
880         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
881         --log-file $$b.log --trs-file $$b.trs \
882         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
883         "$$tst" $(AM_TESTS_FD_REDIRECT)
884 .test.log:
885         @p='$<'; \
886         $(am__set_b); \
887         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
888         --log-file $$b.log --trs-file $$b.trs \
889         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
890         "$$tst" $(AM_TESTS_FD_REDIRECT)
891 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
892 @am__EXEEXT_TRUE@       @p='$<'; \
893 @am__EXEEXT_TRUE@       $(am__set_b); \
894 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
895 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
896 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
897 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
898
899 distdir: $(BUILT_SOURCES)
900         $(MAKE) $(AM_MAKEFLAGS) distdir-am
901
902 distdir-am: $(DISTFILES)
903         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
904         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
905         list='$(DISTFILES)'; \
906           dist_files=`for file in $$list; do echo $$file; done | \
907           sed -e "s|^$$srcdirstrip/||;t" \
908               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
909         case $$dist_files in \
910           */*) $(MKDIR_P) `echo "$$dist_files" | \
911                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
912                            sort -u` ;; \
913         esac; \
914         for file in $$dist_files; do \
915           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
916           if test -d $$d/$$file; then \
917             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
918             if test -d "$(distdir)/$$file"; then \
919               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
920             fi; \
921             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
922               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
923               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
924             fi; \
925             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
926           else \
927             test -f "$(distdir)/$$file" \
928             || cp -p $$d/$$file "$(distdir)/$$file" \
929             || exit 1; \
930           fi; \
931         done
932 check-am: all-am
933         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
934         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
935 check: check-am
936 all-am: Makefile $(LTLIBRARIES)
937 installdirs:
938 install: install-am
939 install-exec: install-exec-am
940 install-data: install-data-am
941 uninstall: uninstall-am
942
943 install-am: all-am
944         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
945
946 installcheck: installcheck-am
947 install-strip:
948         if test -z '$(STRIP)'; then \
949           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
950             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
951               install; \
952         else \
953           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
954             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
955             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
956         fi
957 mostlyclean-generic:
958         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
959         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
960         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
961
962 clean-generic:
963         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
964
965 distclean-generic:
966         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
967         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
968
969 maintainer-clean-generic:
970         @echo "This command is intended for maintainers to use"
971         @echo "it deletes files that may require special tools to rebuild."
972 clean: clean-am
973
974 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
975         clean-noinstLTLIBRARIES mostlyclean-am
976
977 distclean: distclean-am
978                 -rm -f ./$(DEPDIR)/random-glib.Plo
979         -rm -f ./$(DEPDIR)/random.Plo
980         -rm -f ./$(DEPDIR)/test.Po
981         -rm -f Makefile
982 distclean-am: clean-am distclean-compile distclean-generic \
983         distclean-tags
984
985 dvi: dvi-am
986
987 dvi-am:
988
989 html: html-am
990
991 html-am:
992
993 info: info-am
994
995 info-am:
996
997 install-data-am:
998
999 install-dvi: install-dvi-am
1000
1001 install-dvi-am:
1002
1003 install-exec-am:
1004
1005 install-html: install-html-am
1006
1007 install-html-am:
1008
1009 install-info: install-info-am
1010
1011 install-info-am:
1012
1013 install-man:
1014
1015 install-pdf: install-pdf-am
1016
1017 install-pdf-am:
1018
1019 install-ps: install-ps-am
1020
1021 install-ps-am:
1022
1023 installcheck-am:
1024
1025 maintainer-clean: maintainer-clean-am
1026                 -rm -f ./$(DEPDIR)/random-glib.Plo
1027         -rm -f ./$(DEPDIR)/random.Plo
1028         -rm -f ./$(DEPDIR)/test.Po
1029         -rm -f Makefile
1030 maintainer-clean-am: distclean-am maintainer-clean-generic
1031
1032 mostlyclean: mostlyclean-am
1033
1034 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1035         mostlyclean-libtool
1036
1037 pdf: pdf-am
1038
1039 pdf-am:
1040
1041 ps: ps-am
1042
1043 ps-am:
1044
1045 uninstall-am:
1046
1047 .MAKE: check-am install-am install-strip
1048
1049 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1050         check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1051         clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1052         distclean-compile distclean-generic distclean-libtool \
1053         distclean-tags distdir dvi dvi-am html html-am info info-am \
1054         install install-am install-data install-data-am install-dvi \
1055         install-dvi-am install-exec install-exec-am install-html \
1056         install-html-am install-info install-info-am install-man \
1057         install-pdf install-pdf-am install-ps install-ps-am \
1058         install-strip installcheck installcheck-am installdirs \
1059         maintainer-clean maintainer-clean-generic mostlyclean \
1060         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1061         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1062         uninstall-am
1063
1064 .PRECIOUS: Makefile
1065
1066
1067 check-valgrind:
1068         $(MAKE) TESTS_ENVIRONMENT="USE_VALGRIND=1 " check
1069
1070 .PHONY: check-valgrind
1071
1072 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1073 # Otherwise a system limit (for SysV at least) may be exceeded.
1074 .NOEXPORT: